Skip to content
ShopAssist Docs
APIAPI referenceLeads and back in stock

List Back In Stock

Back-in-stock subscriptions (newest first).

GET/v1/stores/{store_id}/back-in-stock-subscriptionsScope engagement:read

Back-in-stock subscriptions (newest first).

Parameters

Parameters of List Back In Stock
NameInTypeDescription
store_idrequiredpathstring
statusquery"pending_confirmation" | "active" | "notified" | "cancelled" | "expired" | null
updated_sincequerystring | null
limitqueryintegerPage size
cursorquerystring | nullCursor from the previous page

Example request

curl -X GET "https://api.shopassist.coec.dk/v1/stores/sto_01j8000000e008000000000000/back-in-stock-subscriptions" \
  -H "Authorization: Bearer $SHOPASSIST_API_KEY"

Response 200 (Page_BackInStock_)

Response of List Back In Stock
FieldTypeDescription
datarequiredBackInStock[]
data[].created_atrequiredstringformat date-time
data[].emailrequiredstring
data[].expires_atrequiredstringformat date-time
data[].idrequiredstringpattern `^bis_[0-9a-hjkmnp-tv-z]{26}$`
data[].localerequiredstring
data[].location_idrequiredstring | nullpattern `^loc_[0-9a-hjkmnp-tv-z]{26}$`
data[].notified_atrequiredstring | nullformat date-time
data[].product_idrequiredstringpattern `^prd_[0-9a-hjkmnp-tv-z]{26}$`
data[].statusrequired"pending_confirmation" | "active" | "notified" | "cancelled" | "expired"
data[].variant_idrequiredstringpattern `^var_[0-9a-hjkmnp-tv-z]{26}$`
has_morerequiredboolean
next_cursorrequiredstring | nullOpaque cursor for the next page; null on the last page
{
  "data": [
    {
      "created_at": "2026-09-28T10:15:30.123Z",
      "email": "string",
      "expires_at": "2026-09-28T10:15:30.123Z",
      "id": "bis_01j8000000e008000000000000",
      "locale": "da-DK",
      "location_id": "loc_01j8000000e008000000000000",
      "notified_at": "2026-09-28T10:15:30.123Z",
      "product_id": "prd_01j8000000e008000000000000",
      "status": "pending_confirmation",
      "variant_id": "var_01j8000000e008000000000000"
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}

Errors

Every error uses the error envelope; the code field is stable.

  • 400 Bad Request
  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not Found
  • 422 Unprocessable Content
  • 429 Too Many Requests

Last updated on